## org.hibernate.cfg.annotations
Class SetBinder

    java.lang.Object
      org.hibernate.cfg.annotations.CollectionBinder
          org.hibernate.cfg.annotations.SetBinder

    public class SetBinder

extends CollectionBinder

Bind a set.

Field Summary

Fields inherited from class org.hibernate.cfg.annotations.CollectionBinder
`cascadeDeleteEnabled, collection, hqlOrderBy, indexColumn, inheritanceStatePerClass, localGenerators, mapKeyPropertyName, propertyName`

Constructor Summary
`SetBinder()`
`SetBinder(boolean sorted)`

Method Summary
`protected Collection` `createCollection(PersistentClass persistentClass)`
`void` `setSqlOrderBy(OrderBy orderByAnn)`

Methods inherited from class org.hibernate.cfg.annotations.CollectionBinder

`bind, bindManytoManyInverseFk, bindManyToManySecondPass, bindOneToManySecondPass, bindStarToManySecondPass, getCollection, getCollectionBinder, getMappings, getSecondPass, isHibernateExtensionMapping, isMap, setAccessType, setBatchSize, setCache, setCascadeDeleteEnabled, setCascadeStrategy, setCollectionType, setDeclaringClass, setEjb3OrderBy, setElementColumns, setEmbedded, setExplicitAssociationTable, setFkJoinColumns, setIgnoreNotFound, setIndexColumn, setInheritanceStatePerClass, setInsertable, setInverseJoinColumns, setIsHibernateExtensionMapping, setJoinColumns, setLocalGenerators, setMapKey, setMapKeyColumns, setMapKeyManyToManyColumns, setMappedBy, setMappings, setOneToMany, setProperty, setPropertyHolder, setPropertyName, setSort, setTableBinder, setTargetEntity, setUpdatable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetBinder

    public SetBinder()

### SetBinder

    public SetBinder(boolean sorted)

Method Detail

### createCollection

    protected Collection createCollection(PersistentClass persistentClass)

  Specified by:
    `createCollection` in class `CollectionBinder`

### setSqlOrderBy

    public void setSqlOrderBy(OrderBy orderByAnn)

  Overrides:
    `setSqlOrderBy` in class `CollectionBinder`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.